MFAdminHandler (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Interface MFAdminHandler

- All Known Implementing Classes:
    SubTool

      public interface MFAdminHandler

  An interface for callbacks of an administrator.
  See Also:
    `MFHandler`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBatchComplete(int batchDefID, MFAdmin admin)`
    `void` | `onConnect(MFAdmin admin)`
    `void` | `onDateRollover(DateRollover dateRollover, MFAdmin admin)`
    `void` | `onDisconnect(MFAdmin admin)`
    `void` | `onDropCopy(DropCopy dropCopy, MFAdmin admin)`
    `void` | `onEventReport(EventReport eventReport, MFAdmin admin)`
    `void` | `onHeartbeat(Heartbeat heartbeat, MFAdmin admin)`
    `void` | `onLockResponse(LockResponse lockResponse, MFAdmin admin)`
    `void` | `onMarketData(MarketView marketData, MFAdmin admin)`
    `void` | `onReplayDone(ReplayDone replayDone, MFAdmin admin)`
    `void` | `onRiskResponse(RiskResponse riskResponse, MFAdmin admin)`
    `void` | `onStart(MFAdmin admin)`
    `void` | `onStop(MFAdmin admin)`
    `void` | `onSubscriptionEvent(SubscriptionEvent subscriptionEvent, MFAdmin admin)`

- - ### Method Detail

    - #### onStart

          void onStart(MFAdmin admin)

    - #### onStop

          void onStop(MFAdmin admin)

    - #### onDisconnect

          void onDisconnect(MFAdmin admin)

    - #### onConnect

          void onConnect(MFAdmin admin)

    - #### onHeartbeat

          void onHeartbeat(Heartbeat heartbeat,
                           MFAdmin admin)

    - #### onSubscriptionEvent

          void onSubscriptionEvent(SubscriptionEvent subscriptionEvent,
                                   MFAdmin admin)

    - #### onMarketData

          void onMarketData(MarketView marketData,
                            MFAdmin admin)

    - #### onEventReport

          void onEventReport(EventReport eventReport,
                             MFAdmin admin)

    - #### onDateRollover

          void onDateRollover(DateRollover dateRollover,
                              MFAdmin admin)

    - #### onBatchComplete

          void onBatchComplete(int batchDefID,
                               MFAdmin admin)

    - #### onDropCopy

          void onDropCopy(DropCopy dropCopy,
                          MFAdmin admin)

    - #### onReplayDone

          void onReplayDone(ReplayDone replayDone,
                            MFAdmin admin)

    - #### onLockResponse

          void onLockResponse(LockResponse lockResponse,
                              MFAdmin admin)

    - #### onRiskResponse

          void onRiskResponse(RiskResponse riskResponse,
                              MFAdmin admin)